Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.portal
Class ObjectNodeSecurityConstraint

    java.lang.Object
      org.jboss.portal.core.impl.model.portal.ObjectNodeSecurityConstraint

All Implemented Interfaces:
  java.io.Serializable

    public final class ObjectNodeSecurityConstraint

extends java.lang.Object
implements java.io.Serializable

Binds a role and a set of actions together. This object is immutable.

A portal resource (portal, page, window, instance, portlet...) is secured via a set of security constraints. each security constraint holds the information about what roles are allowed what actions.

Version:
  $Revision: 8786 $
Author:
  Martin Holzner, Julien Viet
See Also:
  Serialized Form

Constructor Summary
`ObjectNodeSecurityConstraint()`
`ObjectNodeSecurityConstraint(java.util.Set actions, java.lang.String role)` Create a new constraint with the provided actions and the specified role.

Method Summary
`java.util.Set` | `getActions()` Return a `java.util.Set` of allowed actions.
`protected long` | `getKey()`
`ObjectNode` | `getObjectNode()`
`java.lang.String` | `getRole()` Return the role of this constraint
`void` | `setActions(java.util.Set actions)`
`protected void` | `setKey(long key)`
`void` | `setObjectNode(ObjectNode objectNode)`
`void` | `setRole(java.lang.String role)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectNodeSecurityConstraint

    public ObjectNodeSecurityConstraint()

### ObjectNodeSecurityConstraint

    public ObjectNodeSecurityConstraint(java.util.Set actions,
                                        java.lang.String role)

  Create a new constraint with the provided actions and the specified role.

  Parameters:
    `actions` - the set of actions
    `role` - the role name

Method Detail

### getActions

    public java.util.Set getActions()

  Return a `java.util.Set` of allowed actions.

  Returns:
    the action set

### setActions

    public void setActions(java.util.Set actions)

### getRole

    public java.lang.String getRole()

  Return the role of this constraint

  Returns:
    the role

### setRole

    public void setRole(java.lang.String role)

### getObjectNode

    public ObjectNode getObjectNode()

### setObjectNode

    public void setObjectNode(ObjectNode objectNode)

### setKey

    protected void setKey(long key)

### getKey

    protected long getKey()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD